let canvas, ctx;

let canvasBgColor = "#20AAAA";

let canvasWidth, canvasHeight;

const BLANK_CELL = 0;
const SLEEP = 1;  //place in array
const EAT_FOOD = 2;
const CODING = 3;
const GRAPHICS_DESIGN = 4;
const SOUND_DESIGN = 5;




let gameBoard = {
    theX: 120,
    theY: 60,
    theWidth: 600,
    theHeight: 600,
    theColumns: 8,
    theRows: 8,
    boardArray: [],
    clickedCellX: 0,
    clickedCellY: 0
}
// sprites
let imgBlankCell, imgCoding, imgFood, imgGraphics, imgSleep, imgSound;
    

let gameClock = {
    theX: 1160,
    theY: 100,
    theDiameter: 56,
    theHoursLimit: 5,
    hoursCounter: 0, 
    theTextColor: "#112233",
    theTimeInterval: 1000
}

let soloCell = {
    theX: 0,
    theY: 0,
    theWidth: 10,
    theHeight: 10,
    borderColor: "#0000FF"
}

let playButton = {
    theX: 1190,
    theY: 640,
    theWidth: 60,
    theHeight: 60
}

let mouseObj = {
    theX: 0,
    theY: 0
}

let numOfImages = 1;
let loadeImagesCounter = 0;
let imgPlayButton;


let gameObj = {
    boolPlayGame: false,
    boolGameOver: false,
    boolTimeOver: false,
    totalHours: 48,
    hoursCounter: 0,
    points: 0,
    sleepCounter: 2,
    sleepMinValue: 0,
    sleepMaxValue: 5,
    sleep_X: 1100,
    sleep_Y: 500,
    foodCounter: 3,
    food_X: 1100,
    food_Y: 550,
    foodMinValue: 0,
    foodMaxValue: 5, 
    codingScore: 0,
    coding_X: 1000,
    coding_Y: 600,
    graphicsDesignScore: 0,
    graphics_design_X: 1000,
    graphics_design_Y: 640,
    soundDesignScore: 0,
    sound_design_X: 1000,
    sound_design_Y: 685,
    skillsPointsIncrement: 10
}

let clockInterval;